Package org.apache.activemq.artemis.jms.client

## Interface ActiveMQJMSClientLogger

- All Superinterfaces:
    `org.jboss.logging.BasicLogger`
  All Known Implementing Classes:
    `ActiveMQJMSClientLogger_$logger`

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJMSClientLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 13 each message id must be 6 digits long starting with 13, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 131000 to 131999

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJMSClientLogger` | `LOGGER` | The default logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `connectionLeftOpen​(java.lang.Exception e)` |
    `void` | `errorCallingExcListener​(java.lang.Exception e)` |
    `void` | `errorCallingFailoverListener​(java.lang.Exception e)` |
    `void` | `errorCreatingMessage​(java.lang.String messageToString, java.lang.Throwable e)` |
    `void` | `errorPreparingMessageForReceipt​(java.lang.String messagetoString, java.lang.Throwable e)` |
    `void` | `errorProcessingMessage​(java.lang.Throwable e)` |
    `void` | `errorRecoveringSession​(java.lang.Throwable e)` |
    `void` | `onMessageError​(java.lang.Exception e)` |

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJMSClientLogger LOGGER

      The default logger.

  - ### Method Detail

    - #### connectionLeftOpen

          @LogMessage(level=WARN)
          @Message(id=132000,
                   value="I\'\'m closing a JMS connection you left open. Please make sure you close all JMS connections explicitly before letting them go out of scope! see stacktrace to find out where it was created",
                   format=MESSAGE_FORMAT)
          void connectionLeftOpen​(@Cause
                                  java.lang.Exception e)

    - #### onMessageError

          @LogMessage(level=WARN)
          @Message(id=132001,
                   value="Unhandled exception thrown from onMessage",
                   format=MESSAGE_FORMAT)
          void onMessageError​(@Cause
                              java.lang.Exception e)

    - #### errorCallingExcListener

          @LogMessage(level=ERROR)
          @Message(id=134000,
                   value="Failed to call JMS exception listener",
                   format=MESSAGE_FORMAT)
          void errorCallingExcListener​(@Cause
                                       java.lang.Exception e)

    - #### errorCreatingMessage

          @LogMessage(level=ERROR)
          @Message(id=134002,
                   value="Queue Browser failed to create message {0}",
                   format=MESSAGE_FORMAT)
          void errorCreatingMessage​(java.lang.String messageToString,
                                    @Cause
                                    java.lang.Throwable e)

    - #### errorPreparingMessageForReceipt

          @LogMessage(level=ERROR)
          @Message(id=134003,
                   value="Message Listener failed to prepare message for receipt, message={0}",
                   format=MESSAGE_FORMAT)
          void errorPreparingMessageForReceipt​(java.lang.String messagetoString,
                                               @Cause
                                               java.lang.Throwable e)

    - #### errorProcessingMessage

          @LogMessage(level=ERROR)
          @Message(id=134004,
                   value="Message Listener failed to process message",
                   format=MESSAGE_FORMAT)
          void errorProcessingMessage​(@Cause
                                      java.lang.Throwable e)

    - #### errorRecoveringSession

          @LogMessage(level=ERROR)
          @Message(id=134005,
                   value="Message Listener failed to recover session",
                   format=MESSAGE_FORMAT)
          void errorRecoveringSession​(@Cause
                                      java.lang.Throwable e)

    - #### errorCallingFailoverListener

          @LogMessage(level=ERROR)
          @Message(id=134006,
                   value="Failed to call Failover listener",
                   format=MESSAGE_FORMAT)
          void errorCallingFailoverListener​(@Cause
                                            java.lang.Exception e)